PDA

View Full Version : [SOLVED] Totem mpeg2 stream demuxer



theopneustos
February 5th, 2010, 09:37 PM
I am new to Ubuntu. When i want to watch a .mpg movie, i get the following error message:
"The playback of this movie requires a MPEG-2 System Stream demuxer plugin which is not installed."
When i do a search for this demuxer (I have no idea what it is and where to find it) I get nowhere.
What am I to do to watch a mpeg videoclip?

USB_NL
February 5th, 2010, 09:55 PM
hi

you probably have to install
this open terminal and copy paste and run this command

sudo apt-get install ubuntu-restricted-extras

if ok close thread after as solved

good luck
;)

thulefoth
February 5th, 2010, 10:03 PM
You can also try to get a 'fully free' version, if you like to support the Open Source stuff.

Click Applications, and at the bottom click Ubuntu Software Center. Go up to the little search-box and type in "mpeg2", no quotes. There's some stuff.

Also go System > Administrator > Synaptic Package Manager. Lots more robust search ability on this tool.

Things you get from these official Ubuntu repositories are not "restricted", like they are with the previous option.

theopneustos
February 5th, 2010, 10:05 PM
hi

you probably have to install
this open terminal and copy paste and run this command

sudo apt-get install ubuntu-restricted-extrasif ok close thread after as solved

good luck
;)
I did as you said. The Totem player still gives me the same message as above. Am I to restart the computer, or is there something else to do?

USB_NL
February 5th, 2010, 10:10 PM
try
this player


sudo apt-get install vlc

it plays almost everything there is

theopneustos
February 5th, 2010, 10:35 PM
try
this player


sudo apt-get install vlcit plays almost everything there is
I installed vlc. It works fine! Thank you, USB NL

USB_NL
February 5th, 2010, 11:02 PM
I love vlc it's free and open source.

you can also transcode files

or

save livestreams, on demand streams, webcam, etc

:D

RAM007
January 29th, 2011, 01:24 AM
What is this:

sudo apt-get install vlc

and how do I do it?